/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.aop.precedence;

import org.jboss.aop.joinpoint.Invocation;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.2 $
 */
public class TestAspect3
{
   public Object advice(Invocation invocation)throws Throwable
   {
      System.out.println("TestAspect3.advice");
      Interceptions.add("TestAspect3.advice");
      return invocation.invokeNext();

   }
}
